OF: mysql_selector_command_list
SF: mysql_selector.c
HC: prototypes for the commands of the mysql audio file selector
CC: array of commands for the mysql audio file selector
AT: server_command
IN: server user_list
SN: list of mysql selector commands
---
N: cam
P: DB_READ | DB_WRITE
D: copy all metadata
U: cam source dest1 [dest2 ...]
H: Copy attributes and other meta data from source file to destination
H: file(s). Useful for files that have been renamed.
---
N: cdb
P: DB_READ | DB_WRITE
D: create database
U: cdb [name]
H:
H: Create database name containing the initial columns for basic
H: interoperation with server. This command has to be used only once
H: when you use the mysql audio file selector for the very first time.
H:
H: The optional name defaults to 'paraslash' if not given.
---
N: clean
P: DB_READ | DB_WRITE
D: nuke invalid entries in database
U: clean
H: If the vrfy command shows you any invalid entries in your database,
H: you can get rid of them with clean. Always run 'upd' and 'vrfy'
H: before running this command. Use with caution!
---
N: cs
P: VSS_WRITE | DB_READ | DB_WRITE
D: change stream
U: cs [s]
H: Selects stream s or prints current stream when s was not given.
---
N: csp
P: VSS_WRITE | DB_READ
D: change stream and play
U: csp s
H: Select stream s and start playing. If this results in a
H: stream-change, skip rest of current audio file.
---
N: da
P: DB_READ | DB_WRITE
D: drop attribute from database
U: da att
H: Use with caution. All info on attribute att will be lost.
---
N: hist
P: DB_READ
D: print history
U: hist
H: Print list of all audio files together with number of days since
H: each file was last played.
---
N: info
P: DB_READ
D: print database info
U: info [af]
H: print database informations for audio file af. Current audio file
H: is used if af is not given.
---
N: la
P: DB_READ
D: list attributes
U: la [af]
H: List attributes of audio file af or of current audio file when
H: invoked without arguments.
---
N: laa
P: DB_READ
D: list available attributes
U: laa
H: print list of all attributes defined in the database
---
N: last
P: DB_READ
D: print list of audio files, ordered by lastplayed time
U: last [n]
H: The optional number n defaults to 10 if not specified.
---
N: ls
P: DB_READ
D: list all audio files that match a LIKE pattern
U: ls [pattern]
H: If pattern was not given, print list of all audio files known
H: to the mysql selector. See the documentation of mysql
H: for the definition of LIKE patterns.
---
N: mbox
P: DB_READ
D: dump audio file list in mbox format
U: mbox [p]
H: Dump list of audio files in mbox format (email) to stdout. If
H: the optional pattern p is given, only those audio files,
H: whose basename match p are going to be included. Otherwise,
H: all files are selected.
H:
H: EXAMPLE
H: The mbox command can be used together with your favorite
H: mailer (this example uses mutt) for browsing the audio file
H: collection:
H:
H: 	para_client mbox > ~/para_mbox
H:
H: 	mutt -F ~/.muttrc.para -f ~/para_mbox
H:
H: For playlists, you can use mutt's powerful pattern matching
H: language to select files. If you like to tag all files
H: containing the pattern 'foo', type 'T', then '~s foo'.
H:
H: When ready with the list, type ';|' (i.e., hit the semicolon
H: key to apply the next mutt command to all tagged messages,
H: then the pipe key) to pipe the selected mails to a
H: suitable script which adds a paraslash stream where exactly
H: these files are admissable or does whatever thou wilt.
---
N: mv
P: DB_READ | DB_WRITE
D: rename entry in database
U: mv oldname newname
H: Rename oldname to newname. This updates the data table to reflect
H: the new name. All internal data (numplayed, lastplayed, picid,..)
H: is kept.  If newname is a full path, the dir table is updated as
H: well.
---
N: na
P: DB_READ | DB_WRITE
D: add new attribute to database
U: na att
H: This adds a column named att to your mysql database. att should
H: only contain letters and numbers, in paricular, '+' and '-' are
H: not allowed.
---
N: ne
P: DB_READ | DB_WRITE
D: add new database entries
U: ne file1 [file2 [...]]
H: Add the given filename(s) to the database, where file1,... must
H: be full path names. This command might be much faster than 'upd'
H: if the number of given files is small.
---
N: ns
P: VSS_WRITE | DB_READ | DB_WRITE
D: change to next stream
U: ns
H: Cycle forwards through stream list.
---
N: pic
P: DB_READ
D: get picture by name or by identifier
U: pic [name]
H: Dump jpg image that is associated to given audio file (current
H: audio file if not specified) to stdout. If name starts with
H: '#' it is interpreted as an identifier instead and the picture
H: having that identifier is dumped to stdout.
H:
H: EXAMPLE
H:
H:	para_client pic '#123' > pic123.jpg
---
N: picadd
P: DB_READ | DB_WRITE
D: add picture to database
U: picadd [picname]
H: Read jpeg file from stdin and store it as picname in database.
H:
H: EXAMPLE
H:
H: 	para_client picadd foo.jpg < foo.jpg
---
N: picass
P: DB_READ | DB_WRITE
D: associate a picture to file(s)
U: picass pic_id file1 [file2...]
H: Associate the picture given by pic_id to all given files.
---
N: picch
P: DB_READ | DB_WRITE
D: change name of picture
U: picch id new_name
H: Asign new_name to picture with identifier id.
---
N: picdel
P: DB_READ | DB_WRITE
D: delete picture from database
U: picdel id1 [id2...]
H: Delete each given picture from database.
---
N: piclist
P: DB_READ
D: print list of pictures
U: piclist
H: Print id, name and length of each picture contained in the
H: database.
---
N: ps
P: VSS_WRITE | DB_READ | DB_WRITE
D: change to previous stream
U: ps
H: Cycle backwards through stream list.
---
N: rm
P: DB_READ | DB_WRITE
D: remove entries from database
U: rm name1 [name2 [...]]
H: Remove name1, name2, ... from the data table. Use with caution.
---
N: sa
P: DB_READ | DB_WRITE
D: set/unset attributes
U: sa at1<'+' | '-'> [at2<'+' | '-'> ] [af1 ...]
H: Set ('+') or unset ('-') attribute at1, at2 etc. for given list of
H: audio files. If no audio files were given the current audio file is
H: used. Example:
H:
H:	sa rock+ punk+ classic- LZ__Waldsterben.mp3
H:
H: sets the 'rock' and the 'punk' attribute but unsets the 'classic'
H: attribute.
---
N: skip
P: DB_READ | DB_WRITE
D: skip subsequent audio files(s)
U: skip n [s]
H: Skip the next n audio files of stream s. This is equivalent to the
H: command 'sl n s', followed by 'us name' for each name the output of
H: sl.
---
N: sl
P: DB_READ
D: print score list
U: sl n [s]
H: Print sorted list of maximal n lines. Each line is an admissible
H: entry with respect to stream s. The list is sorted by score-value
H: which is given by the definition of s. If s is not given, the
H: current stream is used. Example:
H:
H:	sl 1
H:
H: shows you the audio file the server would select right now.
---
N: snp
P: DB_READ | DB_WRITE
D: set numplayed
U: snp number af1 [af2 ...]
H: Update the numplayed field in the data table for all given audio
H: files.
---
N: stradd
P: DB_READ | DB_WRITE
D: add stream
U: stradd s
H: Add stream s to the list of available streams. The stream
H: definition for s is read from stdin and is then sent to
H: para_server. Example:
H:
H:	echo 'deny: NAME_LIKE(%Madonna%)' | para_client stradd no_madonna
H:
H: adds the new stream 'no_madonna' to the list of available streams.
H: A given audio file is admissible for this stream iff its basename
H: does not contain the string 'Madonna'.
---
N: strdel
P: DB_READ | DB_WRITE
D: delete stream
U: strdel s
H: Remove stream s from database.
---
N: streams
P: DB_READ
D: list streams
U: streams
H: Print list of available streams. Use 'cs' to switch to any of
H: these.
---
N: strq
P: DB_READ
D: query stream definition
U: strq [s]
H: Print definition of stream s to stdout. Use current stream if s was
H: not given.
---
N: summary
P: DB_READ
D: list attributes
U: summary
H: Print a list of attributes together with number of audio
H: files having that attribute set.
---
N: upd
P: DB_READ | DB_WRITE
D: update database
U: upd
H: This command uses the --audio_file_dir option of para_server to
H: locate your audio files. New files are then added to the mysql
H: database. Use this command if you got new files or if you have
H: moved some files around.
---
N: us
P: DB_READ | DB_WRITE
D: update lastplayed time
U: us name
H: Update lastplayed time without actually playing the thing.
---
N: verb
P: DB_READ | DB_WRITE
D: send verbatim sql query
U: verb cmd
H: Send cmd to mysql server. For expert/debugging only. Note that cmd
H: usually must be escaped. Use only if you know what you are doing!
---
N: vrfy
P: DB_READ
D: list invalid entries in database
U: vrfy
H: Show what clean would delete. Run 'upd' before this command to make
H: sure your database is up to date.
---
